%global lib32dir /usr/lib

Name:           platform
Version:        2.1.0.1
Release:    1%{?dist}
Summary:        Platform support library used by libCEC and binary add-ons for Kodi

License:        GPLv2+
URL:            https://github.com/Pulse-Eight/platform/
Source0:        https://github.com/Pulse-Eight/%{name}/archive/p8-%{name}-%{version}.tar.gz
Source1:        http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
Patch0:         https://github.com/Pulse-Eight/platform/compare/p8-platform-2.1.0.1..a7cd0d5780ed80a4e70480d1650749f29e8a1fb2.diff

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake

%description
%{summary}.


%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       cmake

%description devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.


%prep
%autosetup -p1 -n %{name}-p8-%{name}-%{version}

cp -p %{SOURCE1} .


%build
%cmake
%cmake_build


%install
%cmake_install




%files
%doc README.md
%license gpl-2.0.txt
%{lib32dir}/*.so.*


%files devel
%{_includedir}/*
%{lib32dir}/*.so
%{lib32dir}/p8-%{name}/
%{lib32dir}/pkgconfig/*.pc


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0.1-1
- initial build
